### File

`src/app/shared/interceptors/noopinterceptor.interceptor.ts`

### Index

###### Methods

- intercept

### Methods

intercept
`intercept(req: HttpRequest<any>, next: HttpHandler)`
Defined in src/app/shared/interceptors/noopinterceptor.interceptor.ts:7

Parameters :

Name | Type | Optional
req | `HttpRequest<any>` | No
next | `HttpHandler` | No

Returns : `Observable<HttpEvent<any>>`

    import { Injectable } from '@angular/core';
    import { HttpEvent, HttpInterceptor, HttpHandler, HttpRequest } from '@angular/common/http';
    import { Observable } from 'rxjs/Rx';

    @Injectable()
    export class NoopInterceptor implements HttpInterceptor {
        intercept(req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>> {
            return next.handle(req);
        }
    }

# results matching ""

# No results matching ""